<?php
  include("conn.php");
  include("fnc-titulares.php");

  //al filtro para obtener descripciones lo voy a tener que recorrer y agregar filtros or 
  /*if (isset($_POST['xLista'])) {
    $xLista = $_POST['xLista'];

    //transformo la xLista en un array de bases/cajas
    $listaCajas = explode(',',$xLista);
    $sqlFiltro = " AND ("; 
    $aux = explode('-', $xLista);
     
    if ($sqlFiltro <> " AND (") {
      $sqlFiltro .= " OR ";
    }
    $sqlFiltro .= "(B.BASE = " . $aux[0] . " AND T.TITULAR = " . $aux[1] . ")";
    $sqlFiltro .= ")";
  }
  else {
    $sqlFiltro = '';
  }*/
  if (isset($_POST['xLista'])) {
    $x1 = $_POST['xLista'];
    $x2 = str_replace('"', '', $x1);
    $x3 = str_replace('[', '', $x2);
    $x4 = str_replace(']', '', $x3);
    //echo $x4;

    //transformo la xLista en un array de bases/cajas
    $listaCajas = explode(',',$x4);
    $sqlFiltro = " AND ("; 
    foreach ($listaCajas as $value) {
      $aux = explode('-', $value);
     
      if ($sqlFiltro <> " AND (") {
        $sqlFiltro .= " OR ";
      }
      //$sqlFiltro .= "(B.BASE = " . $aux[0] . " AND T.TITULAR = " . $aux[1] . ")";
      $sqlFiltro .= "(B.BASE = " . $aux[0] . " AND T.TITULAR = " . $aux[1] . ")";
    }
    $sqlFiltro .= ")";
  }
  else {
    $sqlFiltro = '';
  }

  $sqlVistaTitulares = getVistaTitulres($DBSegu);
  $sqlAdmin = ($_SESSION['CurrentAdmin'] == 0)?" AND UB.ID_USUARIO = ".$_SESSION['CurrentIdUser']:"";
  $sql = "SELECT DISTINCT B.BASE, B.DESCRI AS DESC_BASE, T.TIPO_CAJA, T.descri as DESC_CAJA
          FROM (SELECT XB.BASE, XB.DESCRI 
               FROM BASES XB 
                    INNER JOIN USUARIOSBASES XUB 
                        INNER JOIN USUARIOS XU ON XUB.ID_USUARIO = XU.ID_USUARIO AND XU.USUARIO = 'PIXO_WEB' 
                    ON XB.BASE = XUB.BASE) B  
                INNER JOIN ".$sqlVistaCajas." T  ON B.BASE = T.BASE
                INNER JOIN USUARIOSBASES UB 
                    INNER JOIN USUARIOS U ON UB.ID_USUARIO = U.ID_USUARIO 
                ON B.BASE = UB.BASE ".$sqlAdmin."
          ORDER BY B.DESCRI, T.DESCRI ";
  $RsUnidades = $DBSegu->Execute($sql);
  if (!$RsUnidades) {
    print $DBSegu->ErrorMsg();
  }
  $jsondata['success'] = ($RsUnidades->Recordcount() > 0);
  $jsondata['message'] = '';
  header('Content-type: application/json; charset=utf-8');
  echo json_encode($jsondata);
  die( print_r( sqlsrv_errors(), true));    
?>